## Create Zone Hold `client.zones.holds.create(HoldCreateParamsparams, RequestOptionsoptions?): ZoneHold` **post** `/zones/{zone_id}/hold` Enforce a zone hold on the zone, blocking the creation and activation of zones with this zone's hostname. ### Parameters - `params: HoldCreateParams` - `zone_id: string` Path param: Identifier. - `include_subdomains?: boolean` Query param: If provided, the zone hold will extend to block any subdomain of the given zone, as well as SSL4SaaS Custom Hostnames. For example, a zone hold on a zone with the hostname 'example.com' and include_subdomains=true will block 'example.com', 'staging.example.com', 'api.staging.example.com', etc. ### Returns - `ZoneHold` - `hold?: boolean` - `hold_after?: string` - `include_subdomains?: string` ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const zoneHold = await client.zones.holds.create({ zone_id: '023e105f4ecef8ad9ca31a8372d0c353' }); console.log(zoneHold.hold); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "result": { "hold": true, "hold_after": "2023-01-31T15:56:36+00:00", "include_subdomains": "include_subdomains" }, "success": true } ```